class CreateCashierLoginLogs < ActiveRecord::Migration[5.1]
  def change
    create_table :cashier_login_logs, :id => false, :primary_key => :cashier_login_log_id do |t|
      t.string :cashier_login_log_id, :limit => 16, :null => false, :index => true, :unique => true #custom primary key - to ensure consistence for cloud syncing

      t.references :cashier_terminal, foreign_key: true
      t.references :employee, foreign_key: true
      t.datetime :login_at, :null => false
      t.datetime :logout_at

      t.timestamps
    end
  end
end
